io.undertow.security.handlers

## Class CachedAuthenticatedSessionHandler

- java.lang.Object
- - io.undertow.security.handlers.CachedAuthenticatedSessionHandler

All Implemented Interfaces:
  HttpHandler

    public class CachedAuthenticatedSessionHandler
    extends Object
    implements HttpHandler

`HttpHandler` responsible for setting up the `AuthenticatedSessionManager` for cached authentications and registering a `NotificationReceiver` to receive the security notifications.

This handler also forces the session to change its session ID on sucessful authentication.

Author:
  Darran Lofthouse

### Field Summary

Fields
`static String` `ATTRIBUTE_NAME`
`static String` `NO_ID_CHANGE_REQUIRED`

### Constructor Summary

Constructors
Constructor and Description
`CachedAuthenticatedSessionHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

#### NO_ID_CHANGE_REQUIRED

    public static final String NO_ID_CHANGE_REQUIRED

### Constructor Detail

#### CachedAuthenticatedSessionHandler

    public CachedAuthenticatedSessionHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`